OpenNMS API 1.2.9

## org.opennms.netmgt.capsd
Class DominoIIOPPlugin.DominoConnectionConfig

    java.lang.Object
      org.opennms.netmgt.capsd.ConnectionConfig
          org.opennms.netmgt.capsd.DominoIIOPPlugin.DominoConnectionConfig

Enclosing class:
  DominoIIOPPlugin

public static class DominoIIOPPlugin.DominoConnectionConfig
extends ConnectionConfig

Encapsulates the configuration characteristics unique to a DominoIIOP connection

Author:
  Matt Brozowski

Field Summary
`(package private) int` `m_iorPort`

Fields inherited from class org.opennms.netmgt.capsd.ConnectionConfig
`m_inetAddress, m_port, m_qualifiers, m_retry, m_timeout`

Constructor Summary
`DominoIIOPPlugin.DominoConnectionConfig(java.net.InetAddress inetAddress, int port)`

Method Summary
`int` `getIorPort()`
`void` `setIorPort(int iorPort)`

Methods inherited from class org.opennms.netmgt.capsd.ConnectionConfig
`getInetAddress, getKeyedInteger, getKeyedString, getPort, getRetry, getSocketAddress, getTimeout, saveKeyedInteger, setInetAddress, setQualifiers, setRetry, setTimeout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_iorPort

    int m_iorPort

Constructor Detail

### DominoIIOPPlugin.DominoConnectionConfig

    public DominoIIOPPlugin.DominoConnectionConfig(java.net.InetAddress inetAddress,
                                                   int port)

Parameters:
  `inetAddress` -

Method Detail

### getIorPort

    public int getIorPort()

### setIorPort

    public void setIorPort(int iorPort)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.